Summary:	OBJPRELINK
Name:		objprelink
Version:	1.0
Release:	1
License:	GPL
Group:		GCC/ld linking
Packager:       linuxkid <linux@peanutlinux.org>
Source0:	objprelink-1.0.tar.bz2
URL: 		http://www.peanutlinux.org
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%description
Usage: objprelink [-v] [-n] <objectfiles>
-- "prelink" c++ virtual tables

This program massages object files in order to accelerate the loading
of shared object files (.so files) created by linking these object files.
This is intel specific at the moment

The program scans the specified object file for linkonce sections
containing virtual tables with 32 bit absolute relocations (R_386_32)
to undefined procedures.  For each such procedure, it creates a linkonce
text section containing a relay jump.  All absolute relocations to this
procedure are then redirected to the single relay jump.

Program objprelink should be called on all object files before linking.

Option -v selects verbose mode
Option -n does not change the object files but generates a new object
whose name is composed by appending ".new" to the original filename.

%prep
%setup

%build
gcc -o objprelink -Os -mcpu=i386 -fno-strength-reduce objprelink.c -lbfd -liberty

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp objprelink $RPM_BUILD_ROOT/usr/bin

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
